NX Open C++ Reference Guide
|
Represents a Flat As Solid feature builder. More...
Additional Inherited Members | |
![]() | |
NXOpen::Section * | AddedGeometry () |
Returns the added geometry selection Created in NX6.0.0. | |
NXOpen::Features::SheetMetal::CornerTreatmentBuilder * | InnerCornerTreatment () |
Returns the inner corner treatment corner object Created in NX6.0.0. | |
NXOpen::Features::SheetMetal::CornerTreatmentBuilder * | OuterCornerTreatment () |
Returns the outer corner treatment corner object Created in NX6.0.0. | |
NXOpen::Point3d | ReferenceVertex () |
Returns the end of the edge where the tangent will define the x axis for flat as solid. | |
void | SetReferenceVertex (const NXOpen::Point3d &vertex) |
Sets the end of the edge where the tangent will define the x axis for flat as solid. | |
void | SetTransformToAbsoluteCsys (bool transformFlag) |
Sets the flag which decides if the flattened solid will be transformed to Absolute CSYS. | |
NXOpen::SelectFace * | StationaryFace () |
Returns the stationary face selection Created in NX6.0.0. | |
bool | TransformToAbsoluteCsys () |
Returns the flag which decides if the flattened solid will be transformed to Absolute CSYS. | |
int | ValidateBuilderData () |
Validate the builder data. | |
NXOpen::SelectEdge * | XAxisEdge () |
Returns the x axis edge selection Created in NX6.0.0. | |
Represents a Flat As Solid feature builder.
To create a new instance of this class, use Features::SheetMetal::AeroSheetmetalManager::CreateFlatSolidBuilder
Created in NX6.0.0.